Name:           kdetv
Version:        0.8.9
Release:        6%{?dist}
Summary:        KDE application for watching TV
Group:          Applications/Multimedia
# Licensing Notes:
# Kdetv itself is GPLv2+
# Most of the libraries are LGPLv2+
# The kdetv handbook is GFDL
License:        GPLv2+ and LGPLv2+ and GFDL
# Upstream no longer appears to be active
URL:            http://www.kdetv.org
Source0:        http://dziegel.free.fr/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  desktop-file-utils
BuildRequires:  doxygen
BuildRequires:  gettext
BuildRequires:  kdelibs-devel
BuildRequires:  libGL-devel
BuildRequires:  libICE-devel
BuildRequires:  libxml2
BuildRequires:  libXvMC-devel
BuildRequires:  libXxf86dga-devel
BuildRequires:  libXxf86vm-devel
BuildRequires:  lirc-devel
BuildRequires:  zlib-devel
BuildRequires:  zvbi-devel
Requires:       hicolor-icon-theme

%description
kdetv is a KDE application that allows you to watch television on your
GNU/Linux box running KDE. You probably know it as QtVision, the completely
rewritten version of KWinTV.


%prep
%setup -q
# Fix .desktop categories
sed -i 's|Categories=QT;KDE;Multimedia;AudioVideo;Video;TV;|Categories=KDE;AudioVideo;TV;|' \
    %{name}/clients/%{name}/%{name}.desktop


%build
%configure --disable-rpath --enable-kdetv-lirc --with-zvbi
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang %{name}

#Install .desktop file to better location
desktop-file-install --delete-original --vendor fedora \
                     --dir %{buildroot}%{_datadir}/applications \
                     %{buildroot}%{_datadir}/applnk/Multimedia/%{name}.desktop

# Convert absolute symlinks to relative
rm -f %{buildroot}%{_datadir}/doc/HTML/*/%{name}/common
for i in %{buildroot}%{_datadir}/doc/HTML/*/%{name}/; do
    ln -s ../common $i
done


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


# I think KDE applications often rely on .la files and unversioned
# .so files, hence the reason for them being installed.
%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/kdetvv4lsetup
%{_libdir}/kde3/%{name}_*.so
%{_libdir}/kde3/%{name}_*.la
%{_libdir}/libk*
%{_datadir}/apps/%{name}
%{_datadir}/apps/profiles/%{name}.profile.xml
%{_datadir}/doc/HTML/*/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/services/%{name}
%{_datadir}/servicetypes/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%doc AUTHORS ChangeLog COPYING COPYING.LIB README TODO VERSION


%changelog
* Wed Aug 22 2007 Ian Chapman <packages@amiga-hardware.com> 0.8.9-6
- Release bump for F8 mass rebuild
- Further license clarifications

* Sun Aug 12 2007 Ian Chapman <packages@amiga-hardware.com> 0.8.9-5
- Updated license field due to new guidelines
- Fixed .desktop categories

* Sat Sep 09 2006 Ian Chapman <packages@amiga-hardware.com> 0.8.9-4
- Dropped libXext buildrequire as it's pulled in by qt-devel

* Fri Sep 01 2006 Ian Chapman <packages@amiga-hardware.com> 0.8.9-3
- Minor spec file cleanup
- Drop vendor tag from .desktop as it's not created by fedora

* Wed Aug 30 2006 Ian Chapman <packages@amiga-hardware.com> 0.8.9-2
- Added zvbi support

* Sun Aug 27 2006 Ian Chapman <packages@amiga-hardware.com> 0.8.9-1
- Initial release